Runtime

## org.eclipse.gmf.runtime.common.ui.action.ide.actions.global
Class OpenFileGlobalActionHandler

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
          org.eclipse.gmf.runtime.common.ui.action.ide.actions.global.OpenFileGlobalActionHandler

All Implemented Interfaces:
  IGlobalActionHandler

public class OpenFileGlobalActionHandler
extends AbstractGlobalActionHandler

Global action handler that opens files using the Eclipse `OpenFileAction`.

Constructor Summary
`OpenFileGlobalActionHandler()`

Method Summary
`boolean` `canHandle(IGlobalActionContext cntxt)` Return true if the handler can handle the context
`ICommand` `getCommand(IGlobalActionContext cntxt)` Return the ICommand for the context
`protected IStructuredSelection` `getResourceSelection(IStructuredSelection selection)` Gets a structured selection containing all of the IFiles in the context selection.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
`getLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenFileGlobalActionHandler

    public OpenFileGlobalActionHandler()

Method Detail

### getCommand

    public ICommand getCommand(IGlobalActionContext cntxt)

  Description copied from interface: `IGlobalActionHandler`
  Return the ICommand for the context

  Parameters:
    `cntxt` - The context
  Returns:
    ICommand

### canHandle

    public boolean canHandle(IGlobalActionContext cntxt)

  Description copied from interface: `IGlobalActionHandler`
  Return true if the handler can handle the context

  Parameters:
    `cntxt` - The context
  Returns:
    boolean

### getResourceSelection

    protected IStructuredSelection getResourceSelection(IStructuredSelection selection)

  Gets a structured selection containing all of the IFiles in the context selection. Selected elements may either by IFiles or may adapt to IFile.

  Parameters:
    `selection` - the context selection for which to retrieve a `IStructuredSelection`
  Returns:
    the selection of file resources

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.